# Class IntegrationsManager

#### Implements

- IntegrationsManager

#####
Index

### Properties

endScreenIntegration
imaClientSideIntegration
imaDaiIntegration
pinningIntegration
playlistUiIntegration
socialSharingIntegration
ssaiIntegration
thumbnailsIntegration

### Methods

deregisterEndScreenIntegrationFactory
deregisterImaClientSideIntegrationFactory
deregisterImaDaiIntegrationFactory
deregisterPinningIntegrationFactory
deregisterPlaylistUiIntegrationFactory
deregisterSocialSharingIntegrationFactory
deregisterSsaiIntegrationFactory
deregisterThumbnailsIntegrationFactory
getEndScreenIntegrationFactory
getImaClientSideIntegrationFactory
getImaDaiIntegrationFactory
getPinningIntegrationFactory
getPlaylistUiIntegrationFactory
getSocialSharingIntegrationFactory
getSsaiIntegrationFactory
getThumbnailsIntegrationFactory
registerEndScreenIntegrationFactory
registerImaClientSideIntegrationFactory
registerImaDaiIntegrationFactory
registerPinningIntegrationFactory
registerPlaylistUiIntegrationFactory
registerSocialSharingIntegrationFactory
registerSsaiIntegrationFactory
registerThumbnailsIntegrationFactory

## Properties

### `Readonly` endScreenIntegration

endScreenIntegration: EndScreenIntegration

Implementation of IntegrationsManager.endScreenIntegration

### `Readonly` imaClientSideIntegration

imaClientSideIntegration: ImaClientSideIntegration

Implementation of IntegrationsManager.imaClientSideIntegration

### `Readonly` imaDaiIntegration

imaDaiIntegration: ImaDaiIntegration

Implementation of IntegrationsManager.imaDaiIntegration

### `Readonly` pinningIntegration

pinningIntegration: PinningIntegration

Implementation of IntegrationsManager.pinningIntegration

### `Readonly` playlistUiIntegration

playlistUiIntegration: PlaylistUiIntegration

Implementation of IntegrationsManager.playlistUiIntegration

### `Readonly` socialSharingIntegration

socialSharingIntegration: SocialSharingIntegration

Implementation of IntegrationsManager.socialSharingIntegration

### `Readonly` ssaiIntegration

ssaiIntegration: SsaiIntegration

Implementation of IntegrationsManager.ssaiIntegration

### `Readonly` thumbnailsIntegration

thumbnailsIntegration: ThumbnailsIntegration

Implementation of IntegrationsManager.thumbnailsIntegration

## Methods

### `Static` deregisterEndScreenIntegrationFactory

- deregisterEndScreenIntegrationFactory(): void

- Deregister the EndScreenIntegrationFactory. If the Endscreen integration was previously registered for a player, calling this before initializing a new player will disable the Endscreen integration for the new player.

  #### Returns void

### `Static` deregisterImaClientSideIntegrationFactory

- deregisterImaClientSideIntegrationFactory(): void

- Deregister the ImaClientSideIntegrationFactory. If the IMA Client Side integration was previously registered for a player, calling this before initializing a new player will disable the IMA Client Side integration for the new player.

  #### Returns void

### `Static` deregisterImaDaiIntegrationFactory

- deregisterImaDaiIntegrationFactory(): void

- Deregister the ImaDaiIntegrationFactory. If the IMA DAI integration was previously registered for a player, calling this before initializing a new player will disable the IMA DAI integration for the new player.

  #### Returns void

### `Static` deregisterPinningIntegrationFactory

- deregisterPinningIntegrationFactory(): void

- Deregister the PinningIntegrationFactory. If the Pinning integration was previously registered for a player, calling this before initializing a new player will disable the Pinning integration for the new player.

  #### Returns void

### `Static` deregisterPlaylistUiIntegrationFactory

- deregisterPlaylistUiIntegrationFactory(): void

- Deregister the PlaylistUiIntegrationFactory. If the Playlist UI integration was previously registered for a player, calling this before initializing a new player will disable the Playlist UI integration for the new player.

  #### Returns void

### `Static` deregisterSocialSharingIntegrationFactory

- deregisterSocialSharingIntegrationFactory(): void

- Deregister the SocialSharingIntegrationFactory. If the Social Sharing integration was previously registered for a player, calling this before initializing a new player will disable the Social Sharing integration for the new player.

  #### Returns void

### `Static` deregisterSsaiIntegrationFactory

- deregisterSsaiIntegrationFactory(): void

- #### Returns void

### `Static` deregisterThumbnailsIntegrationFactory

- deregisterThumbnailsIntegrationFactory(): void

- Deregister the ThumbnailsIntegrationFactory. If the Thumbnails integration was previously registered for a player, calling this before initializing a new player will disable the Thumbnails integration for the new player.

  #### Returns void

### `Static` getEndScreenIntegrationFactory

- getEndScreenIntegrationFactory(): EndScreenIntegrationFactory

- Get the currently registered EndScreenIntegrationFactory

  #### Returns EndScreenIntegrationFactory

### `Static` getImaClientSideIntegrationFactory

- getImaClientSideIntegrationFactory(): ImaClientSideIntegrationFactory

- Get the currently registered ImaClientSideIntegrationFactory

  #### Returns ImaClientSideIntegrationFactory

### `Static` getImaDaiIntegrationFactory

- getImaDaiIntegrationFactory(): ImaDaiIntegrationFactory

- Get the currently registered ImaDaiIntegrationFactory

  #### Returns ImaDaiIntegrationFactory

### `Static` getPinningIntegrationFactory

- getPinningIntegrationFactory(): PinningIntegrationFactory

- Get the currently registered PinningIntegrationFactory

  #### Returns PinningIntegrationFactory

### `Static` getPlaylistUiIntegrationFactory

- getPlaylistUiIntegrationFactory(): PlaylistUiIntegrationFactory

- Get the currently registered PlaylistUiIntegrationFactory

  #### Returns PlaylistUiIntegrationFactory

### `Static` getSocialSharingIntegrationFactory

- getSocialSharingIntegrationFactory(): SocialSharingIntegrationFactory

- Get the currently registered SocialSharingIntegrationFactory

  #### Returns SocialSharingIntegrationFactory

### `Static` getSsaiIntegrationFactory

- getSsaiIntegrationFactory(): SsaiIntegrationFactory

- #### Returns SsaiIntegrationFactory

### `Static` getThumbnailsIntegrationFactory

- getThumbnailsIntegrationFactory(): ThumbnailsIntegrationFactory

- Get the currently registered ThumbnailsIntegrationFactory

  #### Returns ThumbnailsIntegrationFactory

### `Static` registerEndScreenIntegrationFactory

- registerEndScreenIntegrationFactory(endScreenIntegrationFactory): void

- Register the EndScreenIntegrationFactory. Calling this before initializing a player will enable the Endscreen integration.

  #### Parameters

  - endScreenIntegrationFactory: EndScreenIntegrationFactory

  #### Returns void

### `Static` registerImaClientSideIntegrationFactory

- registerImaClientSideIntegrationFactory(imaClientSideIntegrationFactory): void

- Register the ImaClientSideIntegrationFactory. Calling this before initializing a player will enable the IMA Client Side integration.

  #### Parameters

  - imaClientSideIntegrationFactory: ImaClientSideIntegrationFactory

  #### Returns void

### `Static` registerImaDaiIntegrationFactory

- registerImaDaiIntegrationFactory(imaDaiIntegrationFactory): void

- Register the ImaDaiIntegrationFactory. Calling this before initializing a player will enable the IMA DAI integration.

  #### Parameters

  - imaDaiIntegrationFactory: ImaDaiIntegrationFactory

  #### Returns void

### `Static` registerPinningIntegrationFactory

- registerPinningIntegrationFactory(pinningIntegrationFactory): void

- Register the PinningIntegrationFactory. Calling this before initializing a player will enable the Pinning integration.

  #### Parameters

  - pinningIntegrationFactory: PinningIntegrationFactory

  #### Returns void

### `Static` registerPlaylistUiIntegrationFactory

- registerPlaylistUiIntegrationFactory(playlistUiIntegrationFactory): void

- Register the PlaylistUiIntegrationFactory. Calling this before initializing a player will enable the Playlist UI integration.

  #### Parameters

  - playlistUiIntegrationFactory: PlaylistUiIntegrationFactory

  #### Returns void

### `Static` registerSocialSharingIntegrationFactory

- registerSocialSharingIntegrationFactory(socialSharingIntegrationFactory): void

- Register the SocialSharingIntegrationFactory. Calling this before initializing a player will enable the Social Sharing integration.

  #### Parameters

  - socialSharingIntegrationFactory: SocialSharingIntegrationFactory

  #### Returns void

### `Static` registerSsaiIntegrationFactory

- registerSsaiIntegrationFactory(ssaiIntegrationFactory): void

- #### Parameters

  - ssaiIntegrationFactory: SsaiIntegrationFactory

  #### Returns void

### `Static` registerThumbnailsIntegrationFactory

- registerThumbnailsIntegrationFactory(thumbnailsIntegrationFactory): void

- Register the ThumbnailsIntegrationFactory. Calling this before initializing a player will enable the Thumbnails integration.

  #### Parameters

  - thumbnailsIntegrationFactory: ThumbnailsIntegrationFactory

  #### Returns void